STARTMESSAGE 1 ( Help screen for installing the NetWare Client for OS/2 )
 Before installing NetWare Client for OS/2, make sure that
 
 *  The workstation is cabled to the network
 *  You know what kind of network board is in the workstation
 
 If you want a full NetWare Client for OS/2 installation, choose the 
 first option--Edit the CONFIG.SYS and Copy All Requester 
 files. 

 If NetWare Client for OS/2 is already installed and you want to 
 change your selections for ODI driver, DOS/MS Windows support, 
 or protocol support, choose the second option--Only Edit the 
 CONFIG.SYS.

 If NetWare Client for OS/2 is already installed and you want to update
 your NetWare Client for OS/2 files without changing your selections,
 choose the third option--Only Copy Requester Files. 

 If NetWare Client for OS/2 is already installed and you want to update
 your ODI driver files without changing your selections, choose
 the fourth option--Only Copy ODI Driver Files. 
ENDMESSAGE


STARTMESSAGE 2 ( Help screen for specifying the destination directory )
 By default, NetWare Client for OS/2 files and NetWare for OS/2 driver
 files are copied to the \NETWARE directory on your boot drive. 
 Type a new drive and directory name to change the default.  

 NOTE:  If you will be installing files for remote workstations
 from this workstation, copy the files to the default directory. 
 The default directory must be on a bootable C: drive.

 Make sure the source drive shown is the one you want to copy from. 
 If it is not, type a new drive letter. 

 If you are installing from a network drive, the network drive 
 must have the same subdirectories as the NetWare Client 
 for OS/2 diskettes.  
ENDMESSAGE



STARTMESSAGE 4 ( Help screen for saving the CONFIG.SYS file )
 The changes you have made will be saved to the CONFIG.SYS
 file in the root of your boot drive.

 NOTE:  Your previous CONFIG.SYS is saved as CONFIG.BAK. 

 To save the changes to a different file, type a new drive letter, 
 directory name, or filename. If you save the file with a name 
 other than CONFIG.SYS, the system will not use your changes
 when booting.

ENDMESSAGE



STARTMESSAGE 5 ( Help screen for copying files to the destination directory )
 Note the location where the files will be copied. If you 
 choose Copy, all files are copied. 

 If you do not want to copy files to this location, choose Cancel.
ENDMESSAGE



STARTMESSAGE 7 ( Help screen for selecting file servers )
 The server list displays the servers you are connected to and 
 to which you have Supervisor object rights to the NetWare Server
 object (or Supervisor or Supervisor equivalence on a NetWare 
 3 server). 

 To select or deselect servers from the list, click on the server
 name. To select multiple servers, click on each server name. 

 To attach to file servers not in the list, choose Attach. 

 NOTE: If you are installing NetWare Client for OS/2 for workstations
 that boot remotely, you must install the remote boot files on all servers
 connected to the workstations' local networks.
ENDMESSAGE



STARTMESSAGE 8 ( Help screen for attaching to a file server )
 To attach, click on the arrow to the right of the text entry field and 
 select a server name. Then type the username and password.

 For NetWare 4 servers, delete "Supervisor" and type a new username
 that has Supervisor object rights to the NetWare server. Then type 
 the password. 

 For NetWare 3 servers, type the Supervisor password. To attach 
 with Supervisor equivalence, delete "Supervisor" and type a 
 Supervisor-equivalent username and password.  
ENDMESSAGE



STARTMESSAGE 9 ( Help screen for installing RPL )
 Workstations that don't have hard disks can boot remotely with the
 remote program load (RPL) files. 

 To remote boot a workstation you must copy the OS/2 and RIPL files 
 to one or more NetWare server. To determine which file servers need
 these files you must know what type of BOOT PROM is installed on the
 remote workstations.

 If the BOOT PROM is the older style these files must be copied to each
 server on the local network which will respond to a get nearest
 server request.  If the BOOT PROM is the new enhanced style only servers
 running RPL.NLM need these files.

 You should also define each remote workstation and username on each
 server. You can do these steps separately.
 
 Because all files on your C: drive are copied from the hard disk on 
 this workstation, be sure the root of the C: drive contains only 
 files you want copied to the network. OS/2 must be installed on the
 C: drive on this workstation.

 NOTE:  You must install remote files and define workstations on ALL
 servers connected to the workstations' local network.
ENDMESSAGE



STARTMESSAGE 10 ( Help screen for adding a remote boot workstation )
 NOTE: You can move this help window to another location on your
 screen. 

 In each field select or type the options explained below.

 Setup THIS machine as a remote boot workstation. Choosing this
 option fills in the network and node address fields of this workstation
 if you use the Older Style Boot PROM. Only the node address field
 fills in if you use the New Enhanced Boot PROM.

 Setup ANOTHER machine as a remote boot workstation. If you choose
 the Older Style Boot PROM, you must fill in the Node Address field if
 the workstation is on the same network, or both the Network and Node
 Address fields if the workstation is on another network. If you use the
 New Enhanced Boot PROM, you only need to fill in the Node Address
 field.

 Network Address. Type the network address of the workstation that
 will boot remotely.
     
 Node Address. Type the node address of the workstation that will
 boot remotely.

 Driver. Select the remote boot driver which matches the network
 board in the workstation that will be booted remotely.
     
 Remote workstations are easier to manage if they all use the same
 kind of network board. See the NetWare Client for OS/2 
 manual for more information about managing remote
 workstations. 
     
 NOTE: If your remote workstations use IBM Ethernet network boards,
 token ring network boards, or New Enhanced Boot PROMS, you must
 load a special .NLM on each server. Follow the instructions in the
 NetWare Client for OS/2 manual.
 
 UserName. Type the username of the person using the remote
 workstation. Each remote workstation must have a username
 associated with it.  
     
 After exiting this installation program, make sure each user you
 specify here has an account with the necessary rights on the
 appropriate server. See the NetWare Client for OS/2 manual.

 Logical Name (optional). Type a logical name.
 You must use a logical name anytime you have a user who will
 need to be defined on more than one physical workstation. For
 example, if user BETH has a workstation in her office and a
 workstation in the lab and both need to boot remotely, you
 need to define a logical name for BETH at each physical 
 workstation. That way, BETH in the office might be defined to
 node address BBB231333451 and BETH in the lab might be 
 defined to EEEE334215A4.
ENDMESSAGE



STARTMESSAGE 11 ( Help screen for getting the NET.CFG file )
 The NET.CFG file stores configuration information for NetWare Client
 for OS/2, the ODI drivers, the protocols, and NetWare for OS/2. 

 If a NET.CFG file exists, choose Edit to change the file.

 If a NET.CFG file does not exist, choose Edit to create one.

 Note: The NET.CFG directory must be found in DPATH. If you type 
 a directory other than the root, that directory will be added to 
 DPATH in your CONFIG.SYS file.

 For details about configuring remote workstations, see the 
 NetWare Client for OS/2 manual. 
ENDMESSAGE



STARTMESSAGE 12 ( Help screen for the installation overview )
 Use NetWare Client for OS/2 to connect to NetWare servers or to
 run distributed applications. With this program, you can

 * Install NetWare Client for OS/2 on this workstation
 
 * Configure NetWare Client for OS/2 on this workstation

 * Install the remote program load (RPL) files to boot
   workstations without hard disks

 * Configure workstations without hard disks
 
 * Install NetWare for OS/2 on this machine

 * Upgrade NetWare for OS/2 on this machine
ENDMESSAGE


STARTMESSAGE 13 ( Help screen for NET.CFG Options )

STARTTOPIC How to use this screen
STARTUSAGE
 Type the desired NET.CFG options in the Current NET.CFG
 File Contents box.  A NET.CFG file is not created by default.
 If a NET.CFG file could not be found, the Current NET.CFG
 File Contents box will be empty.

 The NET.CFG Options box in the upper left shows the proper
 syntax for each NET.CFG option.

 This box that you're reading from gives information regarding
 the option highlighted in the NET.CFG Options box.  Select the
 type of information you want by choosing the Usage,
 Description, or Example buttons to the right of this box.
  ENDUSAGE
ENDTOPIC

STARTTOPIC Reasons to configure
STARTUSAGE
You must configure if

* You want to avoid typing your context on the command line
  whenever you log in
  
    Define a Name Context statement under the NetWare 
    Requester heading in the NET.CFG.

* Your network uses an Ethernet frame type other than 
  Ethernet_802.2

    Ethernet_802.2 is the new default for the workstation
    ODI drivers. Define a Link Driver Frame statement.

* You have more than one directory tree at your site

    Define a Preferred Tree statement under the NetWare
    Requester heading in the NET.CFG. 

* Your workstation board is not using the default settings

    Define a Link Driver statement for the board.

* Your workstation has more than one board

    Define a Link Driver statement for each board. 

* NetWare Client for OS/2 will share a network board with
  other communications software, such as LAN Server

    See the NetWare Client for OS/2 manual.

You can also configure the default setup for Named Pipes,
NetBIOS, or Token Ring Source Routing. Select the specific
option for additional help. 
ENDUSAGE
ENDTOPIC


STARTTOPIC Sample NET.CFG file
STARTUSAGE
link driver ne2000 
   int 5
   port 340
   frame ethernet_802.3
   frame ethernet_802.2
link driver ne1000
   int 3
   port 300
   node address 02608c861759
protocol stack spx
   sessions 255
netware requester
   name context "sales.novell"
   preferred tree sequoia
   default login drive f
named pipes
   client sessions 40

 NOTE: Default Login Drive requires changes to the 
 CONFIG.SYS. For instructions, see NetWare Client
 for OS/2 manual.
ENDUSAGE
ENDTOPIC

STARTTOPIC Format of NET.CFG options
STARTEXAMPLE
Sample NET.CFG file:

link driver ne2000 
   int 5
   port 340
   frame ethernet_802.3
   frame ethernet_802.2
link driver ne1000
   int 3
   port 300
   node address 02608c861759
protocol stack spx
   sessions 255
netware requester
   name context "sales.novell"
   preferred tree sequoia
   default login drive f
named pipes
   client sessions 40

 NOTE:  Default Login Drive requires changes to the 
 CONFIG.SYS. See NetWare Client for OS/2 manual.
   
ENDEXAMPLE
STARTUSAGE
Type options at the left margin with no spaces before or after.

Type one option per line. 

Type settings, one per line, on the lines following the options to 
which they apply. Use the Spacebar to indent settings at least 
1 space. Do not use the Tab key in this program. Using the Tab
key is OK if you edit the file from a text editor rather than this
program.

Place a hard return at the end of every line, including 
the last one. If you don't put a return at the end of the last line, 
the line will be ignored. 

Blank lines are ignored, so you can use them to separate options. 

Precede comments with a semicolon.

Options and settings are not case-sensitive. 
ENDUSAGE
ENDTOPIC

STARTTOPIC -------------------
ENDTOPIC

STARTTOPIC Daemon Configuration

STARTEXAMPLE
ENDEXAMPLE

STARTUSAGE
DAEMON CONFIGURATION
   MESSAGE TIMEOUT number
ENDUSAGE
STARTDESCRIPTION
Use this option to control how long network-related 
error messages stay on your screen. This option controls only 
pop-up and broadcast messages. 

Pop-up and broadcast messages appear in a small box on your screen 
and they prompt you to "Press <Esc> to continue . . ."
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC    message timeout number
STARTEXAMPLE
To prevent pop-up and broadcast messages from displaying:

daemon configuration
   message timeout 0
ENDEXAMPLE
STARTEXAMPLE
To display pop-up and broadcast messages on your screen for 
1,000 milliseconds:

daemon configuration
   message timeout 1000
ENDEXAMPLE
STARTUSAGE
MESSAGE TIMEOUT number

Replace "number" with a number of milliseconds that you want 
pop-up and broadcast messages to display on your screen 
before disappearing.  

To prevent pop-up and broadcast messages from displaying, 
replace "number" with 0 (zero).

To display pop-up and broadcast messages until you press
<Esc>, leave this line out of your NET.CFG. 

Default = Messages display until you press <Esc>.
ENDUSAGE
STARTDESCRIPTION
Use this option to control the length of time network-related error 
messages stay on your screen. This option controls only pop-up and 
broadcast messages.  

Pop-up and broadcast messages appear in a small box on your screen 
and prompt you to "Press <Esc> to continue . . ."
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC Link Driver
STARTEXAMPLE                                               
To configure an NE2000 board, you might type the following:

link driver ne2000
   dma 5
   frame ethernet_802.3
   frame ethernet_802.2
   int 3
   mem cc000 3000
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   ALTERNATE
   DMA [index] channel
   FRAME name
   INT [index] irq
   MEM [index] starting_address size
   NODE ADDRESS number
   PORT [index] starting_port [number]
   PROTOCOL name id frame
   SLOT number

Replace "name" with the name of the ODI driver that you
want to modify.
 
Default = None 

Some possible driver names:

 PCN2 for IBM PC Network board II and II/A (older Novell frame
 format)
 PCN2L for IBM PC Network board II and II/A (newer IBM frame format 
 for IBM PCN2 bridges)
 NOTE: PCN2 and PCN2L drivers cannot be used in the same
 workstation. 

 NE2 for Novell Ethernet NE/2
 NE2_32 for Novell Ethernet NE/2-32
 NE1000 for Novell Ethernet NE1000
 NE2000 for Novell Ethernet NE2000
 NE2100 for Novell Ethernet NE2100

 TOKEN for IBM Token-Ring PC

 ODINSUP IBM Token-Ring and Ethernet Communications Manager board
 LANSUP for boards using NDIS drivers

 3C501 for 3Com EtherLink series 501
 3C503 for 3Com EtherLink series 503
 3C505 for 3Com EtherLink series 505
 3C523 for 3Com EtherLink/MC 3C523
ENDUSAGE
STARTDESCRIPTION
Use this option to configure the ODI driver for each network 
board in your workstation.

Use this option if your boards are not using the default 
settings, if you have more than one board, or if you need to
define frame types. The settings for this option should match 
the hardware settings for the boards. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     dma
STARTEXAMPLE
To set the DMA channel for a 3C505 board, type

link driver 3c505
   dma 7
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   DMA [index] channel

Replace "channel" with the number of the DMA channel used 
by the board. 

Default = Set by the driver. See documentation for the board. 

(Optional) Replace "index" with #1 or #2. The driver 
configuration table for each network board can store the DMA 
channel number on either of two lines. The lines are labeled 
#1 and #2. 

Default = #1. Most boards use this default.
ENDUSAGE
STARTDESCRIPTION
Use the DMA setting to specify which direct memory access
(DMA) channel the network interface board uses. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     frame
STARTEXAMPLE
To specify both Ethernet_802.2 and Ethernet_802.3 
for an NE2100 board:

link driver ne2100
   frame ethernet_802.3
   frame ethernet_802.2

The first frame defined is the only one used for the initial Get
Nearest Server request. Therefore, if you have some servers using
only one frame type, such as Ethernet_802.3, put that frame type
first. Then your workstation can get a default connection to 
those servers. 
ENDEXAMPLE
STARTEXAMPLE
To specify all frame types for an NE2000 board:

link driver ne2000
   frame ethernet_802.3
   frame ethernet_802.2
   frame ethernet_II
   frame ethernet_snap
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   FRAME name

Replace "name" with a frame type. 

Default = Set by the driver. See the documentation for the board.

The frame type transmitted by the workstation should match 
the type of packets transmitted by your network servers.
Some possible frame types follow:

Frame type ETHERNET_802.3 works for NE1000, NE2000, 
     NE2100, NE2, NE2_32, 3C501, 3C503, 3C505, 3C523, 
     EXOS205, EXOS215, ODINSUP

Frame type ETHERNET_802.2 works for NE1000, NE2000, 
     NE2100, NE2, NE2_32, 3C501, 3C503, EXOS205, 
     EXOS215, ODINSUP, LANSUP

Frame type ETHERNET_II works for NE1000, NE2000, NE2100,
     NE2, NE2_32, 3C501, 3C503, 3C505, 3C523, EXOS205, 
     EXOS215, ODINSUP

Frame type ETHERNET_SNAP works for NE1000, NE2000, NE2100, 
     NE2, NE2_32, 3C501, 3C503, EXOS205, EXOS215, ODINSUP, 
     LANSUP

Frame type TOKEN-RING works with TOKEN, ODINSUP, LANSUP

Frame type TOKEN-RING_SNAP works with TOKEN, ODINSUP, LANSUP

Frame type IBM_PCN2_802.2 works with PCN2, PCN2L, LANSUP

Frame type IBM_PCN2_SNAP works with PCN2, PCN2L, LANSUP

Frame type NOVELL_RX-NET works with TRXNET and TRXNET2

Previous versions of NetWare Client for OS/2 required you to type
"envelope type" instead of "frame type". "Envelope type" is
still acceptable.

For more information about using the ODINSUP or LANSUP 
drivers, see the NetWare Client for OS/2 manual. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify which frame type the driver
for your network board uses. Use this setting for boards
that support more than one frame type. 

See the NetWare Client for OS/2 manual for more information
on configuring network boards. 

If you are using a PS/2 computer on a token ring network, 
do not "auto-configure" with the reference diskette. Doing so may
cause problems.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     int
STARTEXAMPLE
To set the interrupt line for an NE2000 board:

link driver ne2000
   int 3
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   INT [index] irq

Replace "IRQ" with the number of the interrupt line used by 
the board. 

Default = Set by the driver. See the documentation for the board. 

Before changing the interrupt setting for your board, be sure 
you know what interrupt settings are used for your other hardware.
For example, interrupts 2 and 9-15 are usually reserved. 
Interrupts 3, 5, and 7 are usually good for network boards, but
might conflict with parallel ports.

(Optional) Replace "index" with either #1 or #2. The driver 
configuration table for each network board can store the 
interrupt line number on either of two lines. The lines 
are labeled #1 and #2. 

Default = #1. This default works for most boards. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify which interrupt line the network 
board uses to communicate with the driver. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     mem 
STARTEXAMPLE
To set the memory range for a token ring board:

link driver token
   mem cc000 200
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   MEM [index] starting_address [size]

Replace "starting_address" with a hexadecimal memory address 
that begins the range. This address must be 5 digits, and it must 
be the same as the address designated for the board by the 
manufacturer or set with the Node Address setting.  

Be sure to assign each board a unique memory range that is 
not used by other hardware (VGA monitors commonly use 
C6FFF and XVGA monitors commonly use CFFFF).

Default = Set by the driver. See the documentation for the board.

(Optional) Replace "size" with a hexadecimal number of paragraphs
in a memory range. 

Default = Set by the driver. See the documentation for the board.

(Optional) Replace "index" with either #1 or #2. 

The driver configuration table for each network board can store the 
memory range on either of two lines. The lines are labeled #1 and #2.
 
Default = #1. This default works for most boards.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify what range of memory the driver can use.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     node address
STARTEXAMPLE
To change the address for a board that uses the ODINSUP driver:

link driver odinsup
   node address 02608c861759
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   NODE ADDRESS number

Replace "number" with a hexadecimal address. You can specify 
the address with either the least significant bit first 
(lsb format) or the most significant bit first (msb format). 

You might want to change the node address of a board so you
can more easily note when that board is used on the network. 

Default = The address printed on the board. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to change the node address of a network board. 
Use this setting only with network boards that allow you to
override the preset address. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     port
STARTEXAMPLE
To set the port address for an NE2000 board:

link driver ne2000
   port 300
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   PORT [index] starting_port [number]

Replace "starting_port" with a hexadecimal number that begins
the range of I/O ports the network board uses.  

Default = Set by the driver. See the documentation for the board.

(Optional) Replace "number" with the hexadecimal number of 
ports in the range. 

Default = Set by the driver. See the documentation for the board. 

(Optional) Replace "index" with either #1 or #2. The driver configuration table for each network board can store information about ports on either of two lines. The lines are labeled #1 and #2. 

Default = #1. This default works for most boards.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify which range of I/O ports the 
network board uses.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     protocol
STARTEXAMPLE

To specify the ARP protocol for an Ethernet II frame:

link driver ne2000
   protocol arp 806 ethernet_ii
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   PROTOCOL name ID frame

Replace "name" with the acronym of an ODI-compliant protocol. Some 
common protocols are ARP, IP, IPX (the NetWare protocol), and 
RARP. Default = IPX

Replace "ID" with the hexadecimal number of the protocol that 
goes with the frame type you specify. Default = 0

Replace "frame" with the name of the frame type used with 
the protocol. Default = Ethernet_802.2.

Some common protocols with the frame types and hexadecimal numbers
they support are listed below:

IPX protocol
--------------
Ethernet_802.3 with a hexadecimal number of "0"
Ethernet_802.2 with a hexadecimal number of "e0"
Token-Ring with a hexadecimal number of "e0"
IBM_pcn2_802.2 with a hexadecimal number of "e0"
Ethernet_II with a hexadecimal number of "8137"
Ethernet_SNAP with a hexadecimal number of "8137"
Token-Ring_SNAP with a hexadecimal number of "8137"
IBM_pcn2_SNAP with a hexadecimal number of "8137"
Novell_trx-net with a hexadecimal number of "fa"

IP protocol
-------------
Ethernet_II with a hexadecimal number of "800"
Ethernet_SNAP with a hexadecimal number of "800"
Token-Ring_SNAP with a hexadecimal number of "800"
Novell_trx-net with a hexadecimal number of "d4"

ARP protocol
---------------
Ethernet_II with a hexadecimal number of "806"
Ethernet_SNAP with a hexadecimal number of "806"
Token-Ring_SNAP with a hexadecimal number of "806"
Novell_trx-net with a hexadecimal number of "d5"

RARP protocol
-----------------
Ethernet_II with a hexadecimal number of "8035"
Ethernet_SNAP with a hexadecimal number of "8035"
Token-Ring_SNAP with a hexadecimal number of "8035"
Novell_trx-net with a hexadecimal number of "d6"
ENDUSAGE

STARTDESCRIPTION
Use this setting to allow drivers to use ODI-compliant protocols 
that have different frame types. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     slot 
STARTEXAMPLE
To automatically configure the drivers for an NE/2 board 
in slot 4 and an NE/2 board in slot 2:

link driver ne2
   slot 4
link driver ne2
   slot 2
   
The slot setting is the only Link Driver setting you need to 
specify in this case. 

To scan all slots for a Novell Ethernet NE/2 board:

link driver ne2
   slot ?
ENDEXAMPLE
STARTUSAGE
LINK DRIVER name
   SLOT number

Replace "number" with the number of the expansion slot the 
board is using or with a question mark to tell NetWare Client
for OS/2 to scan all slots.

ENDUSAGE
STARTDESCRIPTION
Use this setting to tell NetWare Client for OS/2 which expansion
slot an EISA or microchannel board is using. 

EISA and microchannel boards are self-configuring, and NetWare Client
for OS/2 can obtain all Link Driver information from the board itself.
You have to tell NetWare Client for OS/2 which slot the board is using
or, if you only have one board of a particular type, you have to tell
NetWare Client for OS/2 to scan all slots until it finds that board. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Link Support
STARTUSAGE
LINK SUPPORT
   BUFFERS number [buffer_size]
ENDUSAGE
STARTDESCRIPTION
Use this option to adjust the number and size of communication 
buffers used by NetWare Client for OS/2. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     buffers
STARTEXAMPLE
For an Ethernet configuration:

link support
   buffers 15 1520
   
For a token ring configuration:

link support
   buffers 14 4202
ENDEXAMPLE
STARTUSAGE
LINK SUPPORT
   BUFFERS number [buffer_size]

Replace "number" with a number of buffers greater than 1.  
Default = 20 buffers 

Replace "buffer_size" with a number of bytes greater than 576. 
Default = 1514 bytes 

NetWare Client for OS/2 cannot use more than 64 KB of memory for 
communication buffers. Header information takes 5 KB.  

This means that the buffer number multiplied by the buffer 
size (plus the header information) cannot be greater than
65,536 bytes. For example, 20 buffers multiplied by 1514 bytes 
equals 30,280 bytes. 

The Link Support buffer size should be the same size as the 
packets your workstation will receive over the network. You might
want to set this buffer size equal to the largest buffer size 
that the network boards in your workstation will support. 

If your workstation has performance problems running with the 
TRXNET.SYS driver, you might need to set your buffers to

link support
   buffers 15 4202

For information about using this setting with ODINSUP or
LANSUP, see the NetWare Client for OS/2 manual.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the number and size of communication 
buffers NetWare Client for OS/2 can use. 

You might want to increase the number of buffers if you are 
running Named Pipes, if you have numerous SPX connections, or if 
you have heavy network traffic.  

If you get the message "LSL out of resources," increase the 
number of buffers. Otherwise, this option is not commonly used. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Named Pipes
STARTUSAGE
NAMED PIPES
    ADVERTISE BOARD number
    CLIENT SESSIONS number
    SERVER SESSIONS number
    MACHINE NAMES   number
ENDUSAGE
STARTDESCRIPTION
Use this option to manage Named Pipes sessions. 

To use Named Pipes, you must have enabled it in the CONFIG.SYS file.
Do this by choosing Requester on workstation from the Installation
menu on the main screen of this program.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     advertise board
STARTEXAMPLE
Configure Named Pipes server as follows in order to
use the logical boards defined by the NE2000 link driver
and the Ethernet_802.2 and Ethernet_802.3 frame types to
advertise the server:

link driver NE2
   frame ethernet_802.2       ; logical board 1
   frame ethernet_II          ; logical board 2
   protocol IPX   E0    ethernet_802.2
   protocol IP    800   ethernet_II

link driver NE2000
   frame ethernet_802.2       ; logical board 3
   frame ethernet_802.3       ; logical board 4
   protocol IPX   E0    ethernet_802.2
   protocol IPX   0     ethernet_802.3

named pipes
   advertise board 3
   advertise board 4
ENDEXAMPLE
STARTUSAGE
NAMED PIPES
   ADVERTISE BOARD board_number
			
Replace "board_number" with the logical board number of
a network board. Board_number can be a value from
1 to 16.

Logical board numbers are assigned in ascending order
to each frame type as they appear in your configuration.
Note that logical board numbers are assigned to defaulted
frame types.

The board_number given must be the logical board number of
a frame type used by IPX. (NOTE: You specify IPX 
usage of a frame type by using the protocol setting under
the Link Driver option).

Default = The Named Pipes server will advertise itself over 
the IPX primary network board when this setting is not specified
or is out of range, or if the board_number given does not
match the logical board number of a frame type in use
by IPX.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify a board that the Named Pipes server uses
to advertise itself. You should configure more than one of these
settings only when the boards specified are part of separate networks.
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     client sessions
STARTEXAMPLE
To allow each client 30 sessions:

named pipes
    client sessions 30
ENDEXAMPLE
STARTUSAGE
NAMED PIPES
   CLIENT SESSIONS number

Replace "number" with a number from 3 to 128. 

Default = 16 sessions

You need at least one client session for each connection from an OS/2 
application to a Named Pipes server. The default of 16 sessions is 
usually adequate, except with applications that use many Named Pipes. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the maximum number of connections any one
workstation can establish with all Named Pipes servers. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     machine names
STARTEXAMPLE
To set number of locally cached named pipes server names to 5:

named pipes
   machine names 5
ENDEXAMPLE
STARTDESCRIPTION
Use this setting to force Named Pipes to create a local table
of server names. This is used in all sessions on an OS/2 client
workstation. This setting is necessary for remote Named Pipes 
operations when there are no NetWare servers on the network.


ENDDESCRIPTION
STARTUSAGE
NAMED PIPES
   MACHINE NAMES number

Replace "number" with the number of Named Pipes server names you
want to cache, from 4 to 100.

Default = 0  (query network for Named Pipes server names)
ENDUSAGE
ENDTOPIC

STARTTOPIC     server sessions
STARTEXAMPLE
To allow each server three hundred sessions:

named pipes
   server sessions 300
ENDEXAMPLE
STARTDESCRIPTION
Use this setting to specify the maximum number of connections a
Named Pipes server can support with all Named Pipes clients at 
any one time.
ENDDESCRIPTION
STARTUSAGE
NAMED PIPES
   SERVER SESSIONS number

Replace number with a number greater than 2.

Novell's Named Pipes support is designed to handle more than
1,000 server sessions.   However, because of OS/2 requirements,
the practical upper limit is much lower (around 400).  You must
have one more SPX session than you have Named Pipes server and
client sessions combined.

If you specify fewer SPX sessions than Named Pipes server sessions,
NetWare Client for OS/2 will treat the SPX session number as the
maximum number of Named Pipes server sessions.

Default  32 sessions.
ENDUSAGE
ENDTOPIC

STARTTOPIC NetWare NetBIOS
STARTUSAGE
NETWARE NETBIOS
    ABORT TIMEOUT number
    BIND board_number
    BROADCAST COUNT number
    BROADCAST DELAY number
    COMMANDS number
    INTERNET [ON|OFF]
    LISTEN TIMEOUT number
    NAMES number
    RETRY COUNT number
    RETRY DELAY number
    SESSIONS number
    VERIFY TIMEOUT number
ENDUSAGE
STARTDESCRIPTION
Use this option to manage Novell NetBIOS names and sessions or 
to allocate the internal memory for NetBIOS. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     abort timeout
STARTEXAMPLE
To make NetBIOS wait longer before terminating the session:

netware netbios
   abort timeout 40000
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   ABORT TIMEOUT number

Replace "number" with a number of milliseconds greater than 500. 

Default = 30,000 milliseconds

If you change this setting, you must also change the "listen timeout" 
and "verify timeout" settings. The ratio between these three settings 
must remain the same. 

For example, if you double the "abort timeout" value, you must also 
double the "listen timeout" and "verify timeout" values. 
ENDUSAGE
STARTDESCRIPTION
Use this setting with "listen timeout" and "verify timeout" to 
monitor and control your NetBIOS connections.  

When NetBIOS sessions at a sending computer do not receive any 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, NetBIOS sends a request-for-
acknowledgment packet to the receiving computer.  

NetBIOS then waits the length of the "listen timeout" interval to 
receive a response. If no response is received, NetBIOS sends 
another packet requesting immediate response. 

NetBIOS then waits the length of the "abort timeout" interval to 
receive a response. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     bind
STARTEXAMPLE
Configure NetBIOS as follows in order to use the logical board defined
by the NE2000 link driver and the Ethernet_802.3 frame type as the
NetBIOS primary network board:

link driver NE2
     frame ethernet_802.2     ; logical board 1
     frame ethernet_II        ; logical board 2
     protocol IPX   0    ethernet_802.2
     protocol  IP    800  ethernet_II

link driver NE2000
     frame ethernet_802.3     ; logical board 3
     protocol IPX   0    Ethernet_802.3

netware netbios
     bind 3
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   BIND board_number

Replace "board_number" with the logical board number of a network
board. Board_number can be a value from 1 to 16.

Logical board numbers are assigned in ascending order
to each frame type as they appear in your configuration.
Note that logical board numbers are assigned to defaulted
frame types.

The board_number given must be the logical board number 
of a frame type used by IPX. (NOTE: You specify IPX usage of 
a frame type by using the protocol setting under the Link
Driver option.)

NetBIOS uses the IPX primary network board as its own primary
network board when this setting is not specified, or is out
of range, or if the board_number given does not match the
logical board number of a frame type in use by IPX.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the primary NetBIOS network
board in your workstation. NetBIOS uses its primary
board to manage NetBIOS names. You can configure only
one primary NetBIOS network board.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     broadcast count
STARTEXAMPLE
To broadcast more often:

netware netbios
   broadcast count 8
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   BROADCAST COUNT number

Replace "number" with a number of queries greater than 1.  

Default with internet on: 4 times

Default with internet off: 2 times
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many times NetBIOS broadcasts a 
query or claim for the name being used by an application.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     broadcast delay
STARTEXAMPLE
To wait longer between broadcasts:

netware netbios
   broadcast delay 3000
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   BROADCAST DELAY number

Replace "number" with a number of milliseconds greater than 100. 

Default with internet on: 2000
Default with internet off: 1000
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how long NetBIOS waits between 
query or claim broadcasts. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     commands
STARTEXAMPLE
To run an application that requires a large number of outstanding 
commands:

netware netbios
   commands 128
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   COMMANDS number

Replace "number" with a number from 8 to 128.  

Default = 32 commands
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many NetBIOS commands can 
be buffered in the NetBIOS driver at one time. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     internet
STARTEXAMPLE
To send and receive on the local network only:

netware netbios
   internet off
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   INTERNET OFF

Type INTERNET followed by OFF. 

Default = ON
ENDUSAGE
STARTDESCRIPTION
Use this setting to transmit name-claim packets to and from 
all stations on the internetwork, or to and from stations on
the local network only.  

Name-claim packets are packets that try to establish the 
uniqueness of the name of the station on which NetBIOS is 
running. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     listen timeout
STARTEXAMPLE
To make NetBIOS wait longer before sending the packet 
requesting immediate response:

netware netbios
   listen timeout 8000
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   LISTEN TIMEOUT number

Replace "number" with a number of milliseconds greater than 200.  
Default = 6000 milliseconds

If you change this setting, you must also change the "abort 
timeout" and "verify timeout" settings. The ratio between 
these three settings must remain the same. 

For example, if you double the "listen timeout" value, you must
also double the "abort timeout" and "verify timeout" values. 
ENDUSAGE
STARTDESCRIPTION
Use this setting with "abort timeout" and "verify timeout" to 
monitor and control your NetBIOS connections.  

When NetBIOS sessions at a sending computer do not receive any 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, NetBIOS sends a request-for-
acknowledgment packet to the receiving computer.  

NetBIOS then waits the length of the "listen timeout" interval 
to receive a response. If no response is received, NetBIOS sends 
another packet requesting immediate response. 

NetBIOS then waits the length of the "abort timeout" interval 
to receive a response. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     names
STARTEXAMPLE
To allow 45 names:

netware netbios
   names 45
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   NAMES number

Replace "number" with a number of names from 4 to 128. 
Default = 24 names
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many names the workstation 
can have in its name table for remote stations. 

When you add a name to a station, the station broadcasts that 
name to all other nodes on the network. You can use a name 
instead of a node address to refer to remote stations. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     retry count
STARTEXAMPLE
To retransmit 50 times:

netware netbios
   retry count 50
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   RETRY COUNT number

Replace "number" with a number greater than 0.  

Default = 20 retries
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many times NetBIOS transmits a 
request for connection or retransmits a failed connection. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     retry delay
STARTEXAMPLE
To wait 800 milliseconds between retransmission attempts:

netware netbios
   retry delay 800
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   RETRY DELAY number

Replace "number" with a number of milliseconds greater than 0.  
Default = 500 milliseconds
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many milliseconds NetBIOS waits 
between transmissions while establishing a connection or resending
a data packet.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     sessions
STARTEXAMPLE
To allow 50 NetBIOS sessions:

netware netbios
   sessions 50
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   SESSIONS number

Replace "number" with a number of sessions from 4 to 64.
Default = 16 sessions 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many simultaneous NetBIOS sessions 
the NetBIOS driver can support. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     verify timeout
STARTEXAMPLE
To make NetBIOS wait longer before sending a request-
for-acknowledgment packet:

netware netbios
   verify timeout 4000
ENDEXAMPLE
STARTUSAGE
NETWARE NETBIOS
   VERIFY TIMEOUT number

Replace "number" with a number of milliseconds greater than 100.  

Default = 3000 milliseconds

If you change this setting, you must also change the "abort 
timeout" and "listen timeout" settings. The ratio between 
these three settings must remain the same. 

For example, if you double the "verify timeout" value, you must
also double the "abort timeout" and "listen timeout" values. 
ENDUSAGE
STARTDESCRIPTION
Use this setting with "abort timeout" and "listen timeout" to 
monitor and control your NetBIOS connections.  

When NetBIOS sessions at a sending computer do not receive any 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, NetBIOS sends a request-
for-acknowledgment packet to the receiving computer.  

NetBIOS then waits the length of the "listen timeout" interval 
to receive a response. If no response is received, NetBIOS sends 
another packet requesting immediate response. 

NetBIOS then waits the length of the "abort timeout" interval 
to receive a response. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC NetWare Requester
STARTUSAGE
NETWARE REQUESTER
    CACHE BUFFERS number    
    DEFAULT LOGIN DRIVE  drive_letter
    DISPLAY HARD ERRORS [ON|OFF]
    LARGE INTERNET PACKETS [ON|OFF]
    NAME CONTEXT "context"
    PACKET BURST [ON|OFF]
    PREFERRED SERVER servername
    PREFERRED TREE treename
    REQUEST RETRIES number
    SESSIONS number
    SIGNATURE LEVEL number
ENDUSAGE
STARTDESCRIPTION
Use this option to control network requests from your workstation 
to a NetWare server.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     cache buffers
STARTEXAMPLE
To allow 15 cache buffers:

netware requester
   cache buffers 15
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   CACHE BUFFERS number

Replace "number" with a number from 0 to 30.

Default = 8 buffers.

To turn off caching, specify 0. 

NetWare Client for OS/2 uses the maximum buffer size permitted 
by each server to which NetWare Client for OS/2 is connected. 
However, NetWare Client for OS/2 cannot use more than 64 KB of 
total memory for cache buffers. If the buffer size is large, you might
not be allowed as many buffers as you specify. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many buffers NetWare Client for OS/2 
can use to cache data from open files. 

Cache buffers minimize read and write traffic on the network. 
The more buffers, the faster NetWare Client for OS/2 performs; however, more buffers use more memory. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     default login drive 
STARTEXAMPLE
To change the default login drive to drive F:

netware requester
   default login drive f
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   DEFAULT LOGIN DRIVE drive letter

Replace "drive letter" with the drive letter you wish to be the default
login drive.

Default = Drive L:
ENDUSAGE
STARTDESCRIPTION
Use this setting if you want NetWare Client for OS/2 to map a drive
other than L: (the default) to the SYS:LOGIN directory on the file server.
You might need this if you have more than 12 local drives or if you
have an application that needs drive L: mapped to someplace else.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     display hard errors
STARTEXAMPLE
To prevent error messages from displaying:

netware requester
   display hard errors off
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
    DISPLAY HARD ERRORS OFF

Type DISPLAY HARD ERRORS OFF to keep error messages from
displaying.  

To display error messages, leave this line out of your NET.CFG. 

Default =  Error messages are displayed. 

This option is useful for production sites with unattended workstations.
Be careful about using it in other environments. Hard error messages 
might be important, because the situation that causes the message often
causes applications to fail. 
ENDUSAGE
STARTDESCRIPTION
Use this option to keep programs running when a hard error is displayed. 

With this option set, hard errors are returned automatically to the program that caused them rather than displayed to you for further
interaction. 

Hard errors display on a full screen (usually black and white) and 
prompt you to choose among several actions. Background processes
suspend until you respond to the message.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     large internet packets off
STARTEXAMPLE
To disable large packet transmission:

netware requester
   large internet packets off
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   LARGE INTERNET PACKETS OFF

To turn off large packet transmissions, type LARGE INTERNET
PACKETS OFF.

Default = large internet packets are transmitted
ENDUSAGE
STARTDESCRIPTION
Use this setting to disable large internet packet transmission. 

For more information on large internet packets, see the NetWare
Client for OS/2 manual. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     name context
STARTEXAMPLE
To specify a name context:

netware requester
   name context "john.sales.novell us"
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   NAME CONTEXT "context"

Replace "context" with your name context in the NetWare 4 
Directory tree. Enclose the context in quotes. Do not use a 
dot as the first character of your context. 

Default = Root of the Directory tree.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify a name context. If you do not specify
a context in your NET.CFG, you will have to type a context on
the command line when you type "LOGIN".

The LOGIN utility uses this context to search for your user object
and connect you to the network. If a context is not specified,
LOGIN will search for your user object from the root of the tree.
If more than one user object exists with the same name, LOGIN
might not locate the correct user object without a context
statement. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     packet burst off
STARTEXAMPLE
To disable Packet Burst transmissions:

netware requester
   packet burst off
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   PACKET BURST OFF

Type PACKET BURST OFF to turn off Packet Burst
transmissions.

Default = On (Packet Burst transmissions occur)
ENDUSAGE
STARTDESCRIPTION
Use this setting to disable Packet Burst transmissions. 

For more information on Packet Burst, see the NetWare Client
for OS/2 manual. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     preferred server
STARTEXAMPLE
To attach to server FINANCE:

netware requester
   preferred server finance
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   PREFERRED SERVER servername

Replace "servername" with the name of a NetWare server. The
syntax of this option has changed - you must now type the word
"server" as well as your server name.

Default = None
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify which NetWare server you want your 
workstation to attach to when it first accesses the network.

If you also have a "preferred tree" option set, NetWare Client
for OS/2 first tries to attach to the preferred tree and then
searches for the preferred server. If you are connecting only to
NetWare 3 or NetWare 2 servers, use this option instead of
"preferred tree."
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     preferred tree
STARTEXAMPLE
To attach to a tree named NOVELL:

netware requester
   preferred tree novell
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   PREFERRED TREE treename

Replace "treename" with the name of your tree. Tree names can
have up to 32 characters. Specify the tree where your name
context is set.

Default = Root of the directory
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify which NetWare tree you want your 
workstation to attach to when it first accesses the network.

This setting is only for sites that have more than one directory
tree. If you also have "preferred server" in your NET.CFG, 
NetWare Client for OS/2 first searches for a preferred tree,
and then for a preferred server in that tree. 

If you are connecting only to NetWare 3 or NetWare 2 servers,
use the "preferred server" setting instead of "preferred tree."
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     request retries
STARTEXAMPLE
To decrease the number of times NetWare Client for OS/2 tries
to resend:

netware requester
   request retries 10
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   REQUEST RETRIES number

Replace "number" with a number greater than 5.

Default = 20 retries

Decrease this default if you are connected to the network over a 
modem and you do not want to waste phone time while NetWare
Client for OS/2 tries to resend packets. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many times NetWare Client for
OS/2 tries to resend a request following a communication error. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     sessions
STARTEXAMPLE
To increase the number of server connections:

netware requester
   sessions 20
   
If you increase this setting, you must also increase the "Protocol
Stack IPX sockets" setting. 
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   SESSIONS number

Replace "number" with a number from 8 to 32.

Default = 8 sessions

You must have at least 3 IPX sockets for each session you allow.  
See the "Protocol Stack IPX sockets" setting. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the number of connections NetWare Client
for OS/2 can have to all servers. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     signature level
STARTEXAMPLE
To prevent the workstation from signing packets:

netware requester
   signature level 0
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   SIGNATURE LEVEL number

Replace "number" with 0, 1, 2, or 3
(0=least secure; 3=most secure)

Default = 1

0     Workstation does not sign packets (LEAST SECURE).

1     Workstation signs packets only if the server 
      requests it (server option is 2 or higher).

2     Workstation signs packets if the server is
      capable of signing (server option is 1 or higher).

3     Workstation signs packets and requires the server
      to sign packets or login will fail (MOST SECURE).
ENDUSAGE
STARTDESCRIPTION
Use this setting to assign a signature level. Signature levels
help determine security on the network. 

For more information about signature levels and security, see
the NetWare Client for OS/2 manual. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Protocol ODINSUP
STARTUSAGE
PROTOCOL ODINSUP
   BIND driver [number]
ENDUSAGE
STARTDESCRIPTION
Use this option to allow the NDIS protocol stack used with Extended 
Services and LAN Services to send packets on the network using 
ODI Token-Ring or Ethernet drivers. 

See the NetWare Client for OS/2 manual before using this option.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     bind
STARTEXAMPLE
To bind ODINSUP to a single NE2000 board in your workstation:

protocol odinsup
    bind ne2000


To bind ODINSUP to both the first and second NE2000 boards in 
your workstation:

protocol odinsup
   bind ne2000
   bind ne2000 2
ENDEXAMPLE
STARTUSAGE
PROTOCOL ODINSUP
   BIND driver [number]

Replace "driver" with a Token-Ring or Ethernet ODI 
driver name. ODINSUP can be bound to a maximum of 
four ODI drivers.  

Default = The first Ethernet or Token-Ring board ODINSUP
locates

Include a separate bind setting under the "Protocol ODINSUP" 
line for every NDIS MAC driver used by Extended Services or 
LAN Services before you installed NetWare Client for OS/2.

(Optional) Replace "number" with a number from 1 to 4. 

Default = 1

This value binds ODINSUP to a particular occurrence of a board
when you have two boards with the same name. For example, if 
you have two NE2000 network boards in your workstation, bind 
ODINSUP to each board by typing a "2" for the second board. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to bind the ODINSUP protocol to an ODI driver. 
When ODINSUP is bound to a driver, the network board for that 
driver is the board used for transmissions to and from the 
network. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Protocol Stack IPX
STARTUSAGE
PROTOCOL STACK IPX
   BIND name
   ROUTER MEM size
   SOCKETS number
ENDUSAGE
STARTDESCRIPTION
Use this option to adjust IPX communication between applications 
and the ODI drivers in your workstation. 

Unless you have a unique and complex network setup, 
you will probably never need to use this option. The defaults 
have already been set to produce maximum performance in almost 
all cases. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     bind
STARTEXAMPLE
To specify a 3Com 3C503 board as primary:

protocol stack ipx
   bind 3c503
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK IPX
   BIND name

Replace "name" with the driver name for your network board. 
Default = The first ODI driver listed in the CONFIG.SYS file. 
Some common names follow:

NE2 for Novell Ethernet NE/2
NE2_32 for Novell Ethernet NE/2-32

NE1000 for Novell Ethernet NE1000
NE2000 for Novell Ethernet NE2000
NE2100 for Novell Ethernet NE2100

TOKEN for IBM Token-Ring PC board

LANSUP for boards using NDIS drivers

ODINSUP for IBM Token-Ring and Ethernet Com. Manager board

3C501 for 3Com EtherLink series 501
3C503 for 3Com EtherLink series 503
3C505 for 3Com EtherLink series 505
3C523 for 3Com EtherLink/MC series 523

PCN2 for IBM PC Network board II and II/A (older Novell 
  frame format)
PCN2L for IBM PC Network board II and II/A (newer Novell 
  frame format)
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify which network board is the primary 
board in your workstation.  

By default, the primary board is the board whose driver loads 
first in the CONFIG.SYS. If you specify a different board with 
this setting, that default is changed. 

Use this setting only if you have multiple boards in your 
workstation. For more information about multiple boards, see 
the NetWare Client for OS/2 manual.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     router mem
STARTEXAMPLE
To increase the default:

protocol stack ipx 
   router mem 500
ENDEXAMPLE
STARTUSAGE
NETWARE REQUESTER
   ROUTER MEM size

Replace "size" with a number of bytes.  

Default = 450 bytes

This default accommodates up to 15 network boards, so you should
not need to increase it. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many bytes in the router
memory pool are allocated for routing requests to the network. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     sockets
STARTEXAMPLE
To increase the socket limit for a workstation connected to 
several servers and running Named Pipes and applications that 
require sockets:

protocol stack ipx
   sockets 128
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK IPX
   SOCKETS number

Replace "number" with a number of sockets between 9 and 128. 
If you are running IPX with NetWare Client for OS/2, do not set this value below 32.  

Default = 64 sockets

You need 3 sockets per server connection. The default 
works for the default number of server connections (see the 
"NetWare Requester sessions" setting). 

Allow more sockets if your workstation connects to many different 
servers or runs protocols (such as Named Pipes) that require sockets. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many sockets IPX can open 
at your workstation.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Protocol Stack SPX
STARTUSAGE
PROTOCOL STACK SPX
    ABORT TIMEOUT number
    LISTEN TIMEOUT number
    RETRY COUNT number
    SEND TIMEOUT number
    SESSIONS number
    VERIFY TIMEOUT number
ENDUSAGE
STARTDESCRIPTION
Use this option to adjust the number and characteristics of 
SPX connections between your workstation and other computers. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     abort timeout
STARTEXAMPLE
To make SPX wait longer before terminating the session:

protocol stack spx
   abort timeout 40000
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK SPX
   ABORT TIMEOUT number

Replace "number" with a number of milliseconds from 10 to 
65,535. The "abort timeout" value must be 10 times greater 
than the "verify timeout" value.  

Default = 30000 milliseconds 

NOTE: If you change the "abort timeout" value, you must also 
change the "listen timeout" and "verify timeout" values.  
The ratio between these three settings must be maintained.  
 
On a Named Pipes server, double all three values. 
ENDUSAGE
STARTDESCRIPTION
Use this setting with "listen timeout" and "verify timeout" to 
monitor and control SPX connections. 

When SPX sessions at a sending computer do not receive 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, SPX sends a keep-connection-alive 
packet to the receiving computer. 

SPX then waits the length of the "listen timeout" interval 
to receive a response. If no response is received, SPX sends 
another packet requesting immediate acknowledgment. 

SPX then waits the length of the "abort timeout" interval 
to receive a response. If no response is received, SPX 
terminates the session. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     listen timeout
STARTEXAMPLE
To make SPX wait longer before sending the packet requesting 
immediate response:

protocol stack spx
   listen timeout 8000
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK SPX
   LISTEN TIMEOUT number

Replace "number" with a number of milliseconds from 10 to 
65,535. The "listen timeout" value must be double the 
"verify timeout" value.

Default = 6000 milliseconds

NOTE: If you change the "listen timeout" value, you must 
also change the "abort timeout" and "verify timeout" values.  
The ratio between these three settings must be maintained.  
 
On a Named Pipes server, double all three values.
ENDUSAGE
STARTDESCRIPTION
Use this setting with "abort timeout" and "verify timeout" 
to monitor and control SPX connections. 

When SPX sessions at a sending computer do not receive 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, SPX sends a keep-connection-alive 
packet to the receiving computer. 

SPX then waits the length of the "listen timeout" interval to 
receive a response. If no response is received, SPX sends 
another packet requesting immediate acknowledgment. 

SPX then waits the length of the "abort timeout" interval to 
receive a response. If no response is received, SPX terminates 
the session. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     verify timeout
STARTEXAMPLE
To make SPX wait longer before sending a keep-connection-
alive packet:

protocol stack spx
   abort timeout 4000
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK SPX
   VERIFY TIMEOUT number

Replace "number" with a number of milliseconds from 10 to 
65,535. The "verify timeout" value must be 10 times less 
than the "abort timeout" value and half of the "listen 
timeout" value.

Default = 3000 milliseconds 

NOTE: If you change the "verify timeout" value, you must also 
change the "abort timeout" and "listen timeout" values. The 
ratio between these three settings must be maintained.  

On a Named Pipes server, double all three values.
ENDUSAGE
STARTDESCRIPTION
Use this setting with "abort timeout" and "listen timeout"
to monitor and control SPX connections. 

When SPX sessions at a sending computer do not receive 
transmissions from the receiving computer for the length of 
the "verify timeout" interval, SPX sends a 
keep-connection-alive packet to the receiving computer. 

SPX then waits the length of the "listen timeout" interval 
to receive a response. If no response is received, SPX sends 
another packet requesting immediate acknowledgment. 

SPX then waits the length of the "abort timeout" interval to 
receive a response. If no response is received, SPX terminates 
the session. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     retry count
STARTEXAMPLE
To increase the number of times SPX packets are resent:

protocol stack spx
   retry count 30
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK SPX
   RETRY COUNT number

Replace "number" with a number of retries from 1 to 255. 

Default = 20 retries

If your network traffic is heavy or if you are transmitting 
across routers, you might want to increase the default. 

NOTE: Some applications set the RETRY COUNT value.  
In these cases, the application-set value is used and the 
NET.CFG value is ignored. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the number of times your 
workstation will resend packets that weren't acknowledged 
by the receiving computer the first time they were sent. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     send timeout
STARTEXAMPLE
To increase the wait between attempts to resend an SPX packet:

protocol stack spx
   send timeout 5600
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK SPX
   SEND TIMEOUT number

Replace "number" with a number of milliseconds from 500 
to 65,535.

Default = A continually calculated value based on the time it takes
SPX to get a response from the server. 

The default works well in almost all cases. Increase the 
default if you are using network management products 
with a very large network and you encounter many SPX 
connection errors. 

You might also want to increase the default for a Named 
Pipes client that is operating faster than the Named Pipes
server it is connected to. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how long SPX waits between 
attempts to send packets across the network.  
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     sessions
STARTEXAMPLE
To increase the number of SPX sessions:

protocol stack spx
   sessions 64
ENDEXAMPLE
STARTUSAGE
PROTOCOL STACK SPX
   SESSIONS number

Replace "number" with a number greater than 8. 1,000 is
the practical upper limit.   

Default = 16 sessions 

If you run Named Pipes applications or other applications
that use SPX, you might need to increase the default number
of sessions. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how many SPX connections can be 
open simultaneously. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC NetWare for OS/2
STARTUSAGE
NETWARE FOR OS/2
    PERFORMANCE TUNING number
    REMOVE SERVER MEMORY
    SERVER MEMORY number
ENDUSAGE
STARTDESCRIPTION
Use this option to set memory and performance features for 
NetWare for OS/2.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     performance tuning
STARTEXAMPLE
To allow NetWare for OS/2 and OS/2 2.x to run with 
approximately equal performance:

netware for os/2
   performance tuning 5
ENDEXAMPLE
STARTUSAGE
NETWARE FOR OS/2
   PERFORMANCE TUNING number

Replace "number" with a number from 1 to 10.

Default = 7 

The higher the number, the more processing time allocated to
NetWare for OS/2 and the faster your NetWare server will run.
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify how much processing time is allocated
to NetWare for OS/2. Whatever is not allocated to NetWare is left
for OS/2 2.x.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     remove server memory
STARTEXAMPLE
To release server memory upon bringing down the server:

netware for os/2
   remove server memory
ENDEXAMPLE
STARTUSAGE
NETWARE FOR OS/2
   REMOVE SERVER MEMORY

Default = Server memory is not released when you bring down
the server.
ENDUSAGE
STARTDESCRIPTION
Use this setting to tell the NetWare server to release the memory
allocated to it. The memory is released when the NetWare server is 
brought down.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     server memory
STARTEXAMPLE
To allocate 10 MB of memory for the NetWare for OS/2 server:

netware for os/2 
   server memory 10

To allocate 12.5 MB of memory for the NetWare for OS/2 server:

netware for os/2 
   server memory 12.5
ENDEXAMPLE
STARTUSAGE
NETWARE FOR OS/2
   SERVER MEMORY number

Replace "number" with a number of megabytes.

Default = 6
Be sure the number you specify is large enough to run the server,
but small enough to leave adequate memory for OS/2.

If NetWare cannot allocate the amount of memory you specify, 
it displays a warning message and then uses the highest amount it
can obtain.
ENDUSAGE
STARTDESCRIPTION
Use this setting to allocate memory for the server at boot time
when the PNETWARE.SYS driver initializes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Token-Ring Source Routing
STARTUSAGE
PROTOCOL ROUTE
    SOURCE ROUTE [DEF] [GBR] [MBR] NODES n BOARD n
ENDUSAGE
STARTDESCRIPTION
Use this option to configure NetWare Client for OS/2 for Source 
Routing between Token-Ring networks that are connected
with source-routers. 

Do not use this option if your Token-Ring networks do not 
use Source Routing. Any workstation on the same ring as a 
Token-Ring source router must use the Token-Ring source-route 
driver when communicating over the router. 

For more information about installing Source Routing, see 
the NetWare Client for OS/2 manual or choose the Description
button again.
ENDDESCRIPTION
STARTDESCRIPTION
For Source Routing to work, it must be installed on each workstation.
Type the following line in each CONFIG.SYS file, replacing "drive" with
the letter of your boot drive:

DEVICE=drive:\NETWARE\ROUTE.SYS

NOTE: If you installed NetWare Client for OS/2 files in a location
other than \NETWARE, use that location instead. 

This line should be typed after the ODI driver line and before the 
protocol (IPX) line.  

The source-route driver must also be installed on all servers that will
be accessed by workstations using source routers. Ring numbers must
be unique, but all servers connected through source-routers can
use the same network address. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     def
STARTEXAMPLE
To broadcast on all routes:

protocol route
   source route def
ENDEXAMPLE
STARTUSAGE
DEF

Use DEF to broadcast on all routes. Omit DEF to broadcast 
on a single route only.  

Default = DEF is omitted (single-route broadcast)

Change the default when you are unsure of the stability 
of one or more routes in the network. Using DEF substantially
increases network traffic, especially on large, redundant ring
networks. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify whether frames with unknown
destination addresses are broadcast simultaneously on all
possible routes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     gbr
STARTEXAMPLE
To broadcast to all destinations, on all rings, by all routes:

protocol route
   source route gbr
ENDEXAMPLE
STARTUSAGE
GBR

Use GBR to broadcast to all destinations, on all rings, by all 
routes. Omit GBR to broadcast to all destinations, on all rings,
by a single route. 

Default = GBR is omitted (single-route broadcast)

Change this default when you want to ensure successful 
transmission across all possible routes. 
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify whether broadcast frames are sent
simultaneously to all possible destinations, on all rings, by all
possible routes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     mbr
STARTEXAMPLE
To broadcast multicast frames simultaneously:

protocol route
   source route mbr
ENDEXAMPLE
STARTUSAGE
MBR

Type MBR to transmit multicast frames simultaneously to a group of 
destinations by all possible routes. Omit MBR to transmit multicast 
frames by a single route.  

Default = Single route transmission only (MBR is omitted)
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify whether frames with function addresses 
(multicast frames) are sent simultaneously to a group of destinations 
by all possible routes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     nodes
STARTEXAMPLE
To allow 24 entries in the source-routing table:

protocol route
   source route nodes 24
ENDEXAMPLE
STARTUSAGE
NODES n

Replace "n" with a number from 8 to 255. If you type a number lower
than 8, 8 is used. 

Default = 16 entries
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the number of entries in the 
source-routing table. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     board
STARTEXAMPLE
To specify that logical board 2, the Token-Ring_SNAP frame, will
also be source routed: 

link driver token
   frame token-ring
   frame token-ring_snap

protocol route
   source route board 1
   source route board 2
ENDEXAMPLE
STARTUSAGE
BOARD n

Replace "n" with a logical board (frame) number from 1 to 16. 

Default = 1

For example, if a workstation has more than one frame type listed 
in the Link Driver option, by default only the first listed frame
is source routed. To enable Source Routing on the second (or other)
frames, you must explicitly specify the second frame as logical 
board 2 (or another number).
ENDUSAGE
STARTDESCRIPTION
Use this setting to specify the logical board (frame) of a
particular type that is performing Source Routing. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Virtual MLID for LAN Sharing
STARTDESCRIPTION
Use this option if you are using LANSHARE.SYS and the 
NetWare 4 server has a driver buffer size other than the
LANSHARE.SYS default of 1514 bytes. 

If LANSHARE.SYS and NetWare 4 do not have the same driver
buffer size, an error message is displayed on the system
console when binding and binding fails. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     virtual board size
STARTEXAMPLE
To set the buffer size to 2042 bytes:

virtual mlid for lan sharing
    virtual board size 2042
ENDEXAMPLE
STARTUSAGE
VIRTUAL BOARD SIZE number

Replace "number" with the number of bytes used by the NetWare 
4 server.

Default = 1514 bytes
ENDUSAGE
STARTDESCRIPTION
Use this setting if you are using LANSHARE.SYS and the NetWare 
4 server has a driver buffer size other than the LANSHARE.SYS
default of 1514 bytes.

If LANSHARE.SYS and NetWare 4 do not have the same driver
buffer size, an error message is displayed on the system
console when binding and binding fails.
ENDDESCRIPTION
ENDTOPIC
ENDMESSAGE



STARTMESSAGE 14 ( Help screen for changing the source drive )
 Make sure the source drive shown is where you want to install from. 
 If it is not, type a new drive letter. 

 If you are installing from a network drive, be sure that you
 have copied all NetWare Client for OS/2 diskettes to that network
 drive. 
 
 The network drive must have exactly the same directories as
 are found on the NetWare Client for OS/2 diskettes. 
ENDMESSAGE



STARTMESSAGE 15 ( Help screen for getting started - Requester Running )
   Welcome to the NetWare Installation program.

   This installation program is used for both NetWare Client for OS/2
   and NetWare for OS/2. See options under the Installation menu.  

   NetWare Client for OS/2 has been installed on this workstation and
   is currently running. You have the following options available:

   *  To install a new version of NetWare Client for OS/2, choose "Requester
       on workstation" from the Installation menu. 
       ***********************************************************************
       IMPORTANT!  Previous versions of the NetWare statements in the
       CONFIG.SYS may not be compatible with NetWare Client for OS/2
       version 2.10. Be sure to choose "Edit CONFIG.SYS and Copy All Files"
       from the Requester Installation window. This is the default option
       of the installation utility. Choosing this option will ensure that
       proper paths will be set up and drivers will be loaded in the
       correct order in the CONFIG.SYS.
       ***********************************************************************

   *  To configure or reconfigure NetWare Client for OS/2 on this workstation,
       choose "This workstation" from the Configuration menu.

   *  To install support for workstations without hard disks, 
      choose "Remote workstations" from the Installation menu.
 
   *  To configure NetWare Client for OS/2 for workstations without
      hard disks, choose "Remote workstations" from the Configuration menu.
   
   *  To install NetWare for OS/2 on this machine, there are two
      options.

      For a custom installation, choose "NetWare Server for OS/2" from the Installation
      menu.

      For a simplified installation, choose "Simplified NetWare Server for OS/2" from the
      Installation menu. The simplified installation assumesthe following:
         - You have NetWare Client software installed.
         - You want NetWare Client and NetWare to share a network board.
         - You are not using any IBM communication products.
         - You will accept a random IPX address and default server information
           (keyboard mapping, country code, etc.).
         - You do not want to mirror or duplex the hard disk.
         - You want only one NetWare volume.
         - You want the CONFIG.SYS to be saved automatically.
         - You do not want to edit the AUTOEXEC.NCF and STARTUP.NCF files.
         - You want a default Directory Services hierarchy. This is a single container
           for all objects.

   *  To upgrade NetWare for OS/2 on this machine, choose
      "Upgrade NetWare Server for OS/2" from the Installation menu.   

   NOTE: You can choose "ReadMe" from the menu to display the 
   ReadMe file shipped with this version of NetWare Client for OS/2.
ENDMESSAGE



STARTMESSAGE 16 ( Help screen for getting started - Requester NOT Running )
   Welcome to the NetWare Installation program.

   NetWare Client for OS/2 is not running on this workstation
   for one of the following reasons:

   1) The workstation has not been rebooted since it was installed.
   2) It has not been installed on this workstation.
   

   You have the following options available:
   
   *  To activate the NetWare Client for OS/2 software that is already installed,
      reboot the workstation.

   *  To install NetWare Client for OS/2, choose "Requester on
       workstation" from the Installation menu.

   *  To configure or reconfigure NetWare Client for OS/2 on this workstation, choose
      "This workstation" from the Configuration menu.

   *  To install NetWare for OS/2 on this machine, there are two options.

      For a custom installation, choose "NetWare Server for OS/2" from the
      Installation menu.

      For a simplified installation, choose "Simplified NetWare Server for OS/2"
      from the Installation menu. The simplified installation assumes the following:
         - You have NetWare Client software installed.
         - You want NetWare Client and NetWare to share a network board.
         - You are not using any IBM communication products.
         - You will accept a random IPX address and default server information
           (keyboard mapping, country code, etc.).
         - You do not want to mirror or duplex the hard disk.
         - You want only one NetWare volume.
         - You want the CONFIG.SYS to be saved automatically.
         - You do not want to edit the AUTOEXEC.NCF and STARTUP.NCF files.
         - You want a default Directory Services hierarchy. This is a single container
           for all objects.

   *  To upgrade NetWare for OS/2 on this machine, choose
      "Upgrade NetWare Server for OS/2" from the Installation menu.   

   NOTE: You can choose "ReadMe" from the menu to display the 
   ReadMe file shipped with this version of NetWare Client for OS/2.
ENDMESSAGE



STARTMESSAGE 17 ( Help for Help )
 For help on a window: Choose the Help button on the window
 or press <F1>.

 For help on a button or other region of the screen: Tab to the
 screen region and press <F1>. Also, view the message bar at the
 bottom of the screen.

 For overview help: Select "Help" from the menu bar or press <F1> at
 the main window. 

 For ReadMe files: Select "ReadMe" from the menu bar. 
ENDMESSAGE



STARTMESSAGE 19 ( Help screen for copying NW for OS/2 files )
 The NetWare for OS/2 'Server Files' and the NetWare 4 server
 files must be copied to the same directory. By default, this
 directory is \NWOS2.

 This installation procedure sets a variable so that the 
 default location in the NetWare 4 installation is \NWOS2. 

 The NetWare for OS/2 hardware 'Driver Files' must be copied to
 the same directory as the NetWare Client for OS/2 files (if you have
 the NetWare Client installed). By default, this is the \NETWARE
 directory. 

 Choose "Copy" to start copying the files to the target directories.
 "Cancel" will quit the NetWare for OS/2 installation process.
ENDMESSAGE



STARTMESSAGE 20 ( Help screen copying OS/2 files for RPL )

 WARNING!!! You are about to copy all files on the C: drive to each of
 the file servers you have selected.
 
 * Be sure all unneeded files have been deleted from this drive. The
   OS/2 system files can use 30 MB or more disk space. Unneeded
   files will use up even more disk space.
 
 * Be sure NetWare Client for OS/2 files were installed to the default
   C:\NETWARE directory.

 If you want to copy the files to each server you've selected, 
 choose "OK" and continue with the installation procedure.   
 
 If you don't want to copy the files, choose "OK" and then "Cancel."
ENDMESSAGE


STARTMESSAGE 23 (Copy the ODI Drivers)
 The ODI driver currently loaded in your CONFIG.SYS file is shown.  
 If you have not edited the CONFIG.SYS file, you might not have a 
 default driver.
 
 This screen allows you to copy either just the default ODI driver or all 
 ODI drivers in the source drive. 
ENDMESSAGE



STARTMESSAGE 24 (Adding an ODI Driver to the CONFIG.SYS file)
 Type (or choose from the list of drivers) the driver 
 for the network board in the workstation. Choose the arrow at
 the right of the Driver entry field to display a list of driver
 files found in the source drive. If you put a new diskette in the 
 source drive and then choose the arrow, an updated list of drivers
 appears. 
 
 If the name of the driver does not appear in the list, you must type
 it in.    
 
 For example, if you have an NE2000 board, type or choose from
 the list:
 
 NE2000.SYS

 NOTE:  Be sure to have the correct driver diskette available. You will be
 asked to insert it in a drive later in the install.

ENDMESSAGE



STARTMESSAGE 25 (Choose support for DOS and Windows)
Choose IPX support for virtual sessions to be ON or OFF. If you choose 
OFF, you will not be able to use the NetWare network from a DOS or
MS Windows sessions. 

If you choose ON, see the NetWare Client for OS/2 manual for information
on setting up DOS and MS Windows sessions after exiting the installation
program.
 
Select one of the options:
     
Private support - All DOS and MS Windows sessions have their own
   logins to a NetWare server. OS/2 sessions share another login. 
          
Global support - All DOS, MS Windows, and OS/2 sessions share a single
   login to a NetWare server.
          
No support - NetWare support disabled for all DOS and MS Windows sessions.
ENDMESSAGE



STARTMESSAGE 26 (Choose optional Protocols)
This screen allows you to choose the following optional protocols:
 
SPX support - Load SPX if you are going to run TLI.  SPX is also required for
   some NetWare printing utilities (such as NPRINTER), Named Pipes, or
   applications that use the SPX protocol (such as the NetWare Services Manager
   for OS/2).
      
NetBIOS - Choose this box if you want to use applications
   that use the NetWare NetBIOS protocol. For information about using 
   NetWare NetBIOS with IBM NetBIOS, see the NetWare Client
   for OS/2 manual. 
 
Remote Named Pipes - Use this protocol if this machine will function 
   as a Named Pipes application server or client.

   If you select "client and server" support, you must type in a 
   unique machine name (1 to 16 characters).
ENDMESSAGE



STARTMESSAGE 27 (Install complete go to configuring)
Installation complete.

****************************************************************************
IMPORTANT!!!!  - The following must be manually changed:

* DOS_LASTDRIVE setting in the DOS Settings notebook should be set 
   to the last local drive for each DOS and WIN-OS/2 session. See "Changing
   and Saving DOS and WIN-OS/2 Settings" in the online OS/2 Master Help
   Index.

* The default workstation Ethernet frame type is Ethernet_802.2. Make sure your
   server and workstation frame types are the same. Configuration is done 
   by selecting "This workstation..." from the Configuration menu.
****************************************************************************

  Configuration is necessary for the following situations:

  * Your network board is not using the default settings.
  * Your workstation has more than one board.
  * Your Ethernet frame type is other than Ethernet_802.2.
  * You use Named Pipes, NetBIOS, or Token-Ring Source Routing. 
  * NetWare Client for OS/2 will share the network board with LAN Server.
  * You have more than one Directory tree at your site.  

Select "This workstation..." from the Configuration menu to access the
configuration utility.
ENDMESSAGE


STARTMESSAGE 28 (Configuration complete)

  You have finished configuring NetWare Client for OS/2.

  To exit the installation program, choose "Close" from the menu 
  in the top-left corner of the window.
ENDMESSAGE



STARTMESSAGE 29 (RPL installation complete)

  You have installed the options you selected for remote boot workstations
  support.  

  You may can configure remote workstations by choosing "Remote
  workstations" from the "Configuration" menu. 

  To exit the installation program, choose "Close" from the menu in 
  the top-left corner of the window. 
ENDMESSAGE



STARTMESSAGE 30 (Installation of NetWare Server for OS/2 Complete)

  You have completed the first half of installing NetWare for OS/2.
  To continue, you must reboot your machine. The second half of the
  installation will start automatically. Refer to the NetWare 4.1 Installation
  and Upgrade manual for instructions.

  NOTE: If installation is aborted without being completed, you can bring down
  the server and in the NetWare Server directory (default is NWOS2) type 
  "nwinstal" to bring up the server and rerun the second half of the 
  server installation.
 
  To exit this installation program, choose "Close" from the menu in
  the top-left corner of the window. 
ENDMESSAGE


 
STARTMESSAGE 31 (Copy only RPL files)

Select this option for copying the remote boot files to the 
servers you specified.

Remote boot workstations need these files to gain initial access to the 
network.

See the NetWare Client for OS/2 manual for more information
about what files are copied.
ENDMESSAGE

STARTMESSAGE 32 (Decision Box Help)
Use this box to indicate your workstation and NetWare server setup.

If you are not using any other protocols, check the box marked
"IPX/SPX communication protocols only".

If you are using IBM communication products such as Database Manager,
Communication Manager, LanServer, or Extended Services, check the box
marked "IBM communication products that use IBM protocols
(Netbios, etc.)". These products use a nonrouting protocol that needs a
special driver loaded on the NetWare server.

If your NetWare for OS/2 server has at least one Token-Ring card select
the button marked "Token-Ring, with or without other topologies",
otherwise select the button marked "Ethernet or other non Token-Ring
topology"

For example, if your computer is a client and server using
IBM protocols and applications on a Token-Ring network, 
choose "IBM communication products that use IBM protocols (Netbios, etc.)"
and "Token-Ring, with or without other topologies."

Using the choices you make in this box, the installation
program determines the best solution for network board sharing.
ENDMESSAGE

STARTMESSAGE 34 (ODINSUP Set Up Box)
This box allows you to select the NDIS drivers you want 
removed from your IBM application. It also allows you to select
the ODI drivers that will replace the NDIS drivers. 

Select an NDIS driver and an ODI driver. Then click on "Replace
NDIS." The two drivers appear in the Current Configuration 
field.

After you select all the NDIS and ODI drivers you want to
use, click on "OK."

Once the NDIS drivers are replaced by ODI drivers, IBM 
communication information is passed to the ODI drivers 
instead of the NDIS drivers through another driver called ODINSUP.
ENDMESSAGE

STARTMESSAGE 35 (ODINSUP Adapter Type Help)
Each adapter has a certain frame type (for example, Token-Ring, 
Ethernet, FDDI, etc.). Only these frame types work with ODINSUP.
If a driver has a different frame type, it cannot be used in the
ODINSUP process.
ENDMESSAGE

STARTMESSAGE 36 (ODINSUP Configuration Help)
This box displays the default paths to the PROTOCOL.INI, 
NET.CFG, and CONFIG.SYS files. If these paths are incorrect 
(if you placed the files in another path), enter the correct
path next to each filename.
ENDMESSAGE

STARTMESSAGE 37 (Choose Remote Boot PROM Help)
Choose the type of Boot PROM in the workstation which will be remote
booting. There are two types of Boot PROMs.

One is the old PROMs found in older NE1000, NE2000, and NE2 cards.
These PROMs have an embedded dedicated IPX driver in them and use
the GetNearestServer call to locate the remote boot file server.

The other is the new enhanced Boot PROMs. Boot PROMs found on IBM
network cards and newer Novell cards have this type. If you are
unsure contact your card manufacturer. These PROMs have an embedded
ODI driver in them and use IBM's FindFrame technology to locate the
remote boot file server. Only file servers running RPL.NLM respond to the
FindFrame requests.
ENDMESSAGE


STARTMESSAGE 39 (Server Information Help)
Type the server name in the box provided. Be sure to note the server
name for future reference.

Accept the randomly generated IPX internal network number, or delete
the number and enter your own IPX internal network number. You cannot
assign a network number of "0" or "FFFFFFFF". Be sure to note the
IPX internal network number for future reference.

The default country code, code page, and keyboard mapping should be
displayed. If these defaults are incorrect, click on the scroll arrow and
select the correct information. For more information about country code,
code page, and keyboard mapping, refer to your DOS manual.

The filename format refers to the valid character set usable in a
filename. DOS Filename Format is the filename format used by DOS, which
accepts all standard keyboard characters. NetWare Filename Format is 
an extension of the DOS Filename Format; it allows certain foreign
characters to be used (for example, the accent and umlaut characters).

Under most circumstances you will want to choose DOS Filename Format.
This will give you compatibility with DOS.

Choose "OK" when you have named the server, entered an IPX number,
and have verified the country code, code page, and keyboard mapping.
ENDMESSAGE

STARTMESSAGE 40 (Uncopied drivers Help)
This box displays the drivers that exist in your server directory that
were not updated during the upgrade process.
ENDMESSAGE

STARTMESSAGE 41 (Sharing a LAN card)
You need to share a LAN card between the OS/2 client and the NetWare
server if you want the OS/2 client to communicate with the server and
or the network and you don't have a LAN card to dedicate to the OS/2
client. If there is only one LAN card in the machine, the NetWare
server will own it. The only way for the OS/2 client to use it is by
sharing it with the server. This sharing is accomplished by the OS/2
client loading a sharing LAN driver (LANSHARE.SYS or TOKENSHR.SYS) 
and the NetWare server loading BOTH a real and a sharing LAN driver.
ENDMESSAGE

STARTMESSAGE 42 (Help screen for DOS AUTOEXEC.BAT file modification)
Checking these two boxes will modify your DOS AUTOEXEC.BAT file so
that it will automatically load TBMI2.COM and NETX.EXE whenever you
start a DOS or MS Windows session.

TBMI2.COM is required by any MS Windows application that uses IPX/SPX
to directly access the network. Application such as E-Mail packages may
require TBMI2.COM to be loaded.

NETX.EXE is required for all DOS and MS Windows sessions to access the
network in both Global and Private modes.

If no AUTOEXEC.BAT file exists, you have the option of having this 
installation program create one for you.

If you want your existing AUTOEXEC.BAT file saved under a different
filename, enter the filename you want to save it as.

NOTE: You must also change your DOS_LASTDRIVE setting in each DOS 
and WIN-OS/2 command prompt on your desktop to equal the last local
drive you have in your machine.
ENDMESSAGE
 

